Company Search API
curl --request GET \
--url https://api.akta.pro/api/v1/company/search \
--header 'x-api-key: <api-key>'import requests
url = "https://api.akta.pro/api/v1/company/search"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.akta.pro/api/v1/company/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.akta.pro/api/v1/company/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.akta.pro/api/v1/company/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.akta.pro/api/v1/company/search")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.akta.pro/api/v1/company/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"uuid": "00002b8",
"name": "ACME Solar",
"website": "https://www.acmesolar.in",
"product_category": "Solar Power Plant Developer",
"company_status": "public",
"akta_rank": 2783
},
{
"uuid": "000fh7c",
"name": "Acme United Corporation",
"website": "http://acmeunited.com",
"product_category": "Cutting Measuring Safety Equipment",
"company_status": "public",
"akta_rank": 7005
},
{
"uuid": "002tydj",
"name": "Acme Packet",
"website": "http://www.acmepacket.com",
"product_category": "Session Border Controllers",
"company_status": "delisted",
"akta_rank": 28943
},
{
"uuid": "0037zgx",
"name": "ACME Group",
"website": "https://www.acme.in",
"product_category": "Green Hydrogen and Renewable Energy",
"company_status": "private",
"akta_rank": 15551
},
{
"uuid": "002vmmz",
"name": "Acme Markets",
"website": "http://www.acmemarkets.com/",
"product_category": "Supermarket Grocery Retail",
"company_status": "private",
"akta_rank": 17109
},
{
"uuid": "00002p1",
"name": "ACME Capital",
"website": "https://www.acme.vc/",
"product_category": "Venture Capital Private Equity Investments",
"company_status": "private",
"akta_rank": 26102
},
{
"uuid": "002gqyc",
"name": "ACME India",
"website": "https://www.acmeindia.co",
"product_category": "Railway Coach Interior Furnishing",
"company_status": "private",
"akta_rank": 47269
},
{
"uuid": "000f11g",
"name": "Acme Brick",
"website": "https://www.brick.com/",
"product_category": "Brick Masonry Products",
"company_status": "private",
"akta_rank": 65438
},
{
"uuid": "0002mwo",
"name": "MyRadar",
"website": "https://myradar.com",
"product_category": "Weather Forecasting Applications",
"company_status": "private",
"akta_rank": 74260
},
{
"uuid": "0038bjk",
"name": "ACME",
"website": "https://acmemep.com",
"product_category": "Mep Solutions Provider",
"company_status": "private",
"akta_rank": 199414
},
{
"uuid": "003tjy6",
"name": "Acme",
"website": "https://adatum.com",
"product_category": "Cloud Computing and Productivity Software",
"company_status": "",
"akta_rank": 213132
},
{
"uuid": "000cals",
"name": "Acme Smoked Fish Corp",
"website": "http://acmesmokedfish.com",
"product_category": "Smoked Fish Products",
"company_status": "private",
"akta_rank": 133792
},
{
"uuid": "003tfcj",
"name": "ACME",
"website": "https://acmelighting.com",
"product_category": "Professional Stage Lighting",
"company_status": "",
"akta_rank": 338804
},
{
"uuid": "0006al8",
"name": "Acme",
"website": "http://www.acme-world.com",
"product_category": "Material Handling & Warehouse Automation",
"company_status": "private",
"akta_rank": 490170
},
{
"uuid": "000c52w",
"name": "Acme",
"website": "https://acmelift.com",
"product_category": "Machinery Rental Services",
"company_status": "private",
"akta_rank": 531080
},
{
"uuid": "0029vh7",
"name": "ACME",
"website": "https://acme.ac",
"product_category": "Architectural Services",
"company_status": "private",
"akta_rank": 570094
},
{
"uuid": "002sx39",
"name": "ACME",
"website": "https://www.acmestrategies.com",
"product_category": "Strategic Advisory and Investment Management",
"company_status": "private",
"akta_rank": 1266368
},
{
"uuid": "000z4mx",
"name": "ACME",
"website": "https://acmecos.com",
"product_category": "Construction Development Services",
"company_status": "private",
"akta_rank": 1434041
},
{
"uuid": "0021nwe",
"name": "Acmé",
"website": "https://www.acmeparis.fr",
"product_category": "",
"company_status": "private",
"akta_rank": 1996700
},
{
"uuid": "0038wk2",
"name": "ACME",
"website": "https://auacme.com",
"product_category": "Real Estate Investment Services",
"company_status": "private",
"akta_rank": 2093129
},
{
"uuid": "00255yx",
"name": "Acme",
"website": "http://acmescenic.com/",
"product_category": "Fabrication And Event Production Services",
"company_status": "private",
"akta_rank": 3486864
},
{
"uuid": "0027mle",
"name": "ACME",
"website": "http://www.acmemeat.com",
"product_category": "",
"company_status": "private",
"akta_rank": 3629744
},
{
"uuid": "002b9dy",
"name": "Acme",
"website": "https://acmevisa.com",
"product_category": "",
"company_status": "private",
"akta_rank": 4830924
},
{
"uuid": "003tfar",
"name": "Acme",
"website": "https://acmedigital.it",
"product_category": "Digital Marketing and Ecommerce Agency Services",
"company_status": "",
"akta_rank": 6194452
},
{
"uuid": "002rfj5",
"name": "ACME",
"website": "https://acmevision.uk",
"product_category": "Medical Devices Manufacturer",
"company_status": "private",
"akta_rank": 6803095
}
],
"count": 25,
"credits_consumed": 0
}
Supporting APIs
Company Search API
Resolves a company by name, website or UUID and returns core identity and classification fields.
GET
/
v1
/
company
/
search
Company Search API
curl --request GET \
--url https://api.akta.pro/api/v1/company/search \
--header 'x-api-key: <api-key>'import requests
url = "https://api.akta.pro/api/v1/company/search"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.akta.pro/api/v1/company/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.akta.pro/api/v1/company/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.akta.pro/api/v1/company/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.akta.pro/api/v1/company/search")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.akta.pro/api/v1/company/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"uuid": "00002b8",
"name": "ACME Solar",
"website": "https://www.acmesolar.in",
"product_category": "Solar Power Plant Developer",
"company_status": "public",
"akta_rank": 2783
},
{
"uuid": "000fh7c",
"name": "Acme United Corporation",
"website": "http://acmeunited.com",
"product_category": "Cutting Measuring Safety Equipment",
"company_status": "public",
"akta_rank": 7005
},
{
"uuid": "002tydj",
"name": "Acme Packet",
"website": "http://www.acmepacket.com",
"product_category": "Session Border Controllers",
"company_status": "delisted",
"akta_rank": 28943
},
{
"uuid": "0037zgx",
"name": "ACME Group",
"website": "https://www.acme.in",
"product_category": "Green Hydrogen and Renewable Energy",
"company_status": "private",
"akta_rank": 15551
},
{
"uuid": "002vmmz",
"name": "Acme Markets",
"website": "http://www.acmemarkets.com/",
"product_category": "Supermarket Grocery Retail",
"company_status": "private",
"akta_rank": 17109
},
{
"uuid": "00002p1",
"name": "ACME Capital",
"website": "https://www.acme.vc/",
"product_category": "Venture Capital Private Equity Investments",
"company_status": "private",
"akta_rank": 26102
},
{
"uuid": "002gqyc",
"name": "ACME India",
"website": "https://www.acmeindia.co",
"product_category": "Railway Coach Interior Furnishing",
"company_status": "private",
"akta_rank": 47269
},
{
"uuid": "000f11g",
"name": "Acme Brick",
"website": "https://www.brick.com/",
"product_category": "Brick Masonry Products",
"company_status": "private",
"akta_rank": 65438
},
{
"uuid": "0002mwo",
"name": "MyRadar",
"website": "https://myradar.com",
"product_category": "Weather Forecasting Applications",
"company_status": "private",
"akta_rank": 74260
},
{
"uuid": "0038bjk",
"name": "ACME",
"website": "https://acmemep.com",
"product_category": "Mep Solutions Provider",
"company_status": "private",
"akta_rank": 199414
},
{
"uuid": "003tjy6",
"name": "Acme",
"website": "https://adatum.com",
"product_category": "Cloud Computing and Productivity Software",
"company_status": "",
"akta_rank": 213132
},
{
"uuid": "000cals",
"name": "Acme Smoked Fish Corp",
"website": "http://acmesmokedfish.com",
"product_category": "Smoked Fish Products",
"company_status": "private",
"akta_rank": 133792
},
{
"uuid": "003tfcj",
"name": "ACME",
"website": "https://acmelighting.com",
"product_category": "Professional Stage Lighting",
"company_status": "",
"akta_rank": 338804
},
{
"uuid": "0006al8",
"name": "Acme",
"website": "http://www.acme-world.com",
"product_category": "Material Handling & Warehouse Automation",
"company_status": "private",
"akta_rank": 490170
},
{
"uuid": "000c52w",
"name": "Acme",
"website": "https://acmelift.com",
"product_category": "Machinery Rental Services",
"company_status": "private",
"akta_rank": 531080
},
{
"uuid": "0029vh7",
"name": "ACME",
"website": "https://acme.ac",
"product_category": "Architectural Services",
"company_status": "private",
"akta_rank": 570094
},
{
"uuid": "002sx39",
"name": "ACME",
"website": "https://www.acmestrategies.com",
"product_category": "Strategic Advisory and Investment Management",
"company_status": "private",
"akta_rank": 1266368
},
{
"uuid": "000z4mx",
"name": "ACME",
"website": "https://acmecos.com",
"product_category": "Construction Development Services",
"company_status": "private",
"akta_rank": 1434041
},
{
"uuid": "0021nwe",
"name": "Acmé",
"website": "https://www.acmeparis.fr",
"product_category": "",
"company_status": "private",
"akta_rank": 1996700
},
{
"uuid": "0038wk2",
"name": "ACME",
"website": "https://auacme.com",
"product_category": "Real Estate Investment Services",
"company_status": "private",
"akta_rank": 2093129
},
{
"uuid": "00255yx",
"name": "Acme",
"website": "http://acmescenic.com/",
"product_category": "Fabrication And Event Production Services",
"company_status": "private",
"akta_rank": 3486864
},
{
"uuid": "0027mle",
"name": "ACME",
"website": "http://www.acmemeat.com",
"product_category": "",
"company_status": "private",
"akta_rank": 3629744
},
{
"uuid": "002b9dy",
"name": "Acme",
"website": "https://acmevisa.com",
"product_category": "",
"company_status": "private",
"akta_rank": 4830924
},
{
"uuid": "003tfar",
"name": "Acme",
"website": "https://acmedigital.it",
"product_category": "Digital Marketing and Ecommerce Agency Services",
"company_status": "",
"akta_rank": 6194452
},
{
"uuid": "002rfj5",
"name": "ACME",
"website": "https://acmevision.uk",
"product_category": "Medical Devices Manufacturer",
"company_status": "private",
"akta_rank": 6803095
}
],
"count": 25,
"credits_consumed": 0
}
Overview
The Company Search API resolves a company from a single input. It could be a name, website or UUID and returns core identity and classification fields. The backend automatically detects the input type, so callers don’t need to specify whether they’re passing a name, domain or identifier. This is a free endpoint and does not consume credits. Results are returned in the API response.Endpoint Details
- Method: GET
- Endpoint:
/api/v1/company/search
Authentication requirements
- Include a valid API key in the
x-api-keyrequest header.
Request
Request Parameters
URL Parameters
A company name, website. The backend automatically resolves the input type. Examples:
https://canva.com, canvaResponse
Successful Response Fields
Returns a JSON object with the following structure:List of matching company objects. Returns an empty array when no matches are found. See Company Object Fields below.
Company Object Fields
{
"data": [
{
"uuid": "00002b8",
"name": "ACME Solar",
"website": "https://www.acmesolar.in",
"product_category": "Solar Power Plant Developer",
"company_status": "public",
"akta_rank": 2783
},
{
"uuid": "000fh7c",
"name": "Acme United Corporation",
"website": "http://acmeunited.com",
"product_category": "Cutting Measuring Safety Equipment",
"company_status": "public",
"akta_rank": 7005
},
{
"uuid": "002tydj",
"name": "Acme Packet",
"website": "http://www.acmepacket.com",
"product_category": "Session Border Controllers",
"company_status": "delisted",
"akta_rank": 28943
},
{
"uuid": "0037zgx",
"name": "ACME Group",
"website": "https://www.acme.in",
"product_category": "Green Hydrogen and Renewable Energy",
"company_status": "private",
"akta_rank": 15551
},
{
"uuid": "002vmmz",
"name": "Acme Markets",
"website": "http://www.acmemarkets.com/",
"product_category": "Supermarket Grocery Retail",
"company_status": "private",
"akta_rank": 17109
},
{
"uuid": "00002p1",
"name": "ACME Capital",
"website": "https://www.acme.vc/",
"product_category": "Venture Capital Private Equity Investments",
"company_status": "private",
"akta_rank": 26102
},
{
"uuid": "002gqyc",
"name": "ACME India",
"website": "https://www.acmeindia.co",
"product_category": "Railway Coach Interior Furnishing",
"company_status": "private",
"akta_rank": 47269
},
{
"uuid": "000f11g",
"name": "Acme Brick",
"website": "https://www.brick.com/",
"product_category": "Brick Masonry Products",
"company_status": "private",
"akta_rank": 65438
},
{
"uuid": "0002mwo",
"name": "MyRadar",
"website": "https://myradar.com",
"product_category": "Weather Forecasting Applications",
"company_status": "private",
"akta_rank": 74260
},
{
"uuid": "0038bjk",
"name": "ACME",
"website": "https://acmemep.com",
"product_category": "Mep Solutions Provider",
"company_status": "private",
"akta_rank": 199414
},
{
"uuid": "003tjy6",
"name": "Acme",
"website": "https://adatum.com",
"product_category": "Cloud Computing and Productivity Software",
"company_status": "",
"akta_rank": 213132
},
{
"uuid": "000cals",
"name": "Acme Smoked Fish Corp",
"website": "http://acmesmokedfish.com",
"product_category": "Smoked Fish Products",
"company_status": "private",
"akta_rank": 133792
},
{
"uuid": "003tfcj",
"name": "ACME",
"website": "https://acmelighting.com",
"product_category": "Professional Stage Lighting",
"company_status": "",
"akta_rank": 338804
},
{
"uuid": "0006al8",
"name": "Acme",
"website": "http://www.acme-world.com",
"product_category": "Material Handling & Warehouse Automation",
"company_status": "private",
"akta_rank": 490170
},
{
"uuid": "000c52w",
"name": "Acme",
"website": "https://acmelift.com",
"product_category": "Machinery Rental Services",
"company_status": "private",
"akta_rank": 531080
},
{
"uuid": "0029vh7",
"name": "ACME",
"website": "https://acme.ac",
"product_category": "Architectural Services",
"company_status": "private",
"akta_rank": 570094
},
{
"uuid": "002sx39",
"name": "ACME",
"website": "https://www.acmestrategies.com",
"product_category": "Strategic Advisory and Investment Management",
"company_status": "private",
"akta_rank": 1266368
},
{
"uuid": "000z4mx",
"name": "ACME",
"website": "https://acmecos.com",
"product_category": "Construction Development Services",
"company_status": "private",
"akta_rank": 1434041
},
{
"uuid": "0021nwe",
"name": "Acmé",
"website": "https://www.acmeparis.fr",
"product_category": "",
"company_status": "private",
"akta_rank": 1996700
},
{
"uuid": "0038wk2",
"name": "ACME",
"website": "https://auacme.com",
"product_category": "Real Estate Investment Services",
"company_status": "private",
"akta_rank": 2093129
},
{
"uuid": "00255yx",
"name": "Acme",
"website": "http://acmescenic.com/",
"product_category": "Fabrication And Event Production Services",
"company_status": "private",
"akta_rank": 3486864
},
{
"uuid": "0027mle",
"name": "ACME",
"website": "http://www.acmemeat.com",
"product_category": "",
"company_status": "private",
"akta_rank": 3629744
},
{
"uuid": "002b9dy",
"name": "Acme",
"website": "https://acmevisa.com",
"product_category": "",
"company_status": "private",
"akta_rank": 4830924
},
{
"uuid": "003tfar",
"name": "Acme",
"website": "https://acmedigital.it",
"product_category": "Digital Marketing and Ecommerce Agency Services",
"company_status": "",
"akta_rank": 6194452
},
{
"uuid": "002rfj5",
"name": "ACME",
"website": "https://acmevision.uk",
"product_category": "Medical Devices Manufacturer",
"company_status": "private",
"akta_rank": 6803095
}
],
"count": 25,
"credits_consumed": 0
}
Was this page helpful?
.png?fit=max&auto=format&n=tMpg-r-6yeOIk-hz&q=85&s=e0cafcb914826d8adc60e5092187e1ca)
.png?fit=max&auto=format&n=tMpg-r-6yeOIk-hz&q=85&s=f214ebe0a940d8aa0f19a709a6bfd7fa)